
# Setup the openwrt cross compiler environment:  . ~/bin/wrt-env.sh

export SDK_PATH=/opt/wrt/zipit/openwrt-zipit

export STAGING_DIR=$SDK_PATH/staging_dir

export PATH=$SDK_PATH/staging_dir/toolchain-arm_v5te_gcc-4.6-linaro_uClibc-0.9.33.2_eabi/bin/:$SDK_PATH/staging_dir/host/bin:$PATH
export CPATH=$SDK_PATH/staging_dir/toolchain-arm_v5te_gcc-4.6-linaro_uClibc-0.9.33.2_eabi/include:$CPATH

export CFLAGS="-I$SDK_PATH/staging_dir/target-arm_v5te_uClibc-0.9.33.2_eabi/usr/include"
export LDFLAGS="-L$SDK_PATH/staging_dir/target-arm_v5te_uClibc-0.9.33.2_eabi/usr/lib" 

export TOOLS=arm-openwrt-linux

export OPENSSL_INC="$SDK_PATH/build_dir/target-arm_v5te_uClibc-0.9.33.2_eabi/openssl-1.0.0g/include/openssl"
export OPENSSL_LIB="$SDK_PATH/build_dir/target-arm_v5te_uClibc-0.9.33.2_eabi/openssl-1.0.0g/"

export CXX=$TOOLS-g++
export AR=$TOOLS-ar
export RANLIB=$TOOLS-ranlib
export CC=$TOOLS-gcc
export LD=$TOOLS-ld
export AS=$TOOLS-as

# Config it --without-libtiff:  make package/links/cofigure
# Run my update of slugs kbd patch.  patch -p0 <Added_some_keys_to_slugs_links.patch

# Then replace font-include.c with a cut version.
# touch font-include.c

# Make it normally:  make package/links/compile V=99
# Then grab the linker line and replace -lssl and -lcrypto with static libs below
# Add linker flag to allow unresolved symbols in shared libs 
# Then strip, super strip, and upx with lzma.

arm-openwrt-linux-uclibcgnueabi-gcc -DPOSIX -DDEFAULTSERVER=\"irc.freenode.org\" -DDEFAULTPORT=6667 -DDO_CTCP -I. -s -Wl,--unresolved-symbols=ignore-in-shared-libs -Os -pipe -march=armv5te -mtune=xscale -fno-caller-saves -fhonour-copts -Wno-error=unused-but-set-variable -msoft-float -I/opt/wrt/zipit/openwrt-zipit/staging_dir/target-arm_v5te_uClibc-0.9.33.2_eabi/usr/include   -L/opt/wrt/zipit/openwrt-zipit/staging_dir/target-arm_v5te_uClibc-0.9.33.2_eabi/usr/lib -L/opt/wrt/zipit/openwrt-zipit/staging_dir/target-arm_v5te_uClibc-0.9.33.2_eabi/lib -L/opt/wrt/zipit/openwrt-zipit/staging_dir/toolchain-arm_v5te_gcc-4.6-linaro_uClibc-0.9.33.2_eabi/usr/lib -L/opt/wrt/zipit/openwrt-zipit/staging_dir/toolchain-arm_v5te_gcc-4.6-linaro_uClibc-0.9.33.2_eabi/lib  -o tinyirc tinyirc.c   -lncurses -L/opt/wrt/zipit/openwrt-zipit/staging_dir/target-arm_v5te_uClibc-0.9.33.2_eabi/usr/lib -L/opt/wrt/zipit/openwrt-zipit/staging_dir/target-arm_v5te_uClibc-0.9.33.2_eabi/usr/lib -L/opt/wrt/zipit/openwrt-zipit/staging_dir/target-arm_v5te_uClibc-0.9.33.2_eabi/usr/lib -ldl


#-Wl,--unresolved-symbols=ignore-in-shared-libs
#-Wl,--unresolved-symbols=ignore-in-object-files

arm-openwrt-linux-uclibcgnueabi-strip tinyirc
sstrip tinyirc

# I don't know how to upx in cross env, so I have to do this step on the zipit.
#upx.lzma --lzma tinyirc
